Deactivates targeting for a specific offer.
HTTP request
POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/subscriptionsv2/tokens/{purchaseToken}:deactivateOfferTargeting
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
packageName |
Required. The package of the application for which this subscription was purchased. Required. |
purchaseToken |
Required. The purchase token provided to the user's device when the subscription was purchased. Required. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "offerId": string } |
| Fields | |
|---|---|
offerId |
Required. The specific discounted offer ID to target for base item. Required. |
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/androidpublisher